[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# IReadWriteSync.EndRead

End a read operation

## Declaration

Source position: systhrdh.inc line 20

`procedure IReadWriteSync.EndRead;`

## Description

EndRead signals the end of a read operation. If there was any blocked write operation, that will be unblocked by a call to EndRead.

## See also

IReadWriteSync.BeginRead |  | Start a read operation.
IReadWriteSync.BeginWrite |  | Start a write operation.
IReadWriteSync.EndWrite |  | End a write operation.